#ifndef __IMAGE__
#define __IMAGE__

typedef struct _image_struct{
        LIST_ENTRY    Next;
        unsigned long image_start;
        unsigned long image_end;
        unsigned char *image_name;
}image_struct, *pimage_struct; 


void    imageRemove(__in PVOID ImageBase);
void    imageAdd(__in PVOID  ImageBase);
pimage_struct imageNext(__in pimage_struct pimage);
pimage_struct imageFirst();
pimage_struct imageFindImageForAddress(__in unsigned long addr);

#endif
